summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Nikos Giotis <nikos.giotis@gmail.com>2016-08-29 22:49:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-03 07:48:57 +0700
commit746971f56f32a88ae066a301f2a651eeacf34329 (patch)
tree2b6ecdd81aec23e5cd47d07f46321cd81bb8467b /development
parent3407adb6c2d339a0bd61ef253ce932fdd7c73446 (diff)
downloadslackbuilds-746971f56f32a88ae066a301f2a651eeacf34329.tar.gz
slackbuilds-746971f56f32a88ae066a301f2a651eeacf34329.tar.xz
development/qbs: Updated for version 1.6.0.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/qbs/README3
-rw-r--r--development/qbs/qbs.SlackBuild16
-rw-r--r--development/qbs/qbs.info6
-rw-r--r--development/qbs/slack-desc2
4 files changed, 18 insertions, 9 deletions
diff --git a/development/qbs/README b/development/qbs/README
index 752ada2d44..350ac08a83 100644
--- a/development/qbs/README
+++ b/development/qbs/README
@@ -7,3 +7,6 @@ software project, whether it is written in Qt or not.
Qbs is an all-in-one tool that generates a build graph from a high-level
project description (like qmake or cmake) and additionally undertakes
the task of executing the commands in the low-level build graph (like make).
+
+NOTE:
+Please remove any previous version of qbs before building.
diff --git a/development/qbs/qbs.SlackBuild b/development/qbs/qbs.SlackBuild
index 38a44ef913..4d5372c1a6 100644
--- a/development/qbs/qbs.SlackBuild
+++ b/development/qbs/qbs.SlackBuild
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qbs
-VERSION=${VERSION:-1.5.1}
+VERSION=${VERSION:-1.6.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,6 +54,12 @@ else
LIBDIRSUFFIX=""
fi
+if [ -r /usr/bin/qbs ]; then
+ echo "The qbs package needs to be removed before building"
+ echo "in order to have a successful build"
+ exit 1
+fi
+
set -e
rm -rf $PKG
@@ -72,7 +78,7 @@ find -L . \
# Adjust docs location.
sed -i "s|share/doc/qbs|doc/qbs-$VERSION|g" doc/doc.pri
-qmake-qt5 qbs.pro \
+qmake-qt5 -r qbs.pro \
QMAKE_CXXFLAGS="$SLKCFLAGS" \
QBS_INSTALL_PREFIX=/usr \
QBS_LIBRARY_DIRNAME=lib$LIBDIRSUFFIX \
diff --git a/development/qbs/qbs.info b/development/qbs/qbs.info
index 3461da66ff..9353bd41a4 100644
--- a/development/qbs/qbs.info
+++ b/development/qbs/qbs.info
@@ -1,8 +1,8 @@
PRGNAM="qbs"
-VERSION="1.5.1"
+VERSION="1.6.0"
HOMEPAGE="http://qt-project.org/wiki/qbs"
-DOWNLOAD="http://download.qt.io/official_releases/qbs/1.5.1/qbs-src-1.5.1.tar.gz"
-MD5SUM="48777331815254651430d6d9acd7d413"
+DOWNLOAD="http://download.qt.io/official_releases/qbs/1.6.0/qbs-src-1.6.0.tar.gz"
+MD5SUM="64d464a781d3845df1e24223266f24d8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="qt5"
diff --git a/development/qbs/slack-desc b/development/qbs/slack-desc
index 84f8c72cfe..7b83154bfb 100644
--- a/development/qbs/slack-desc
+++ b/development/qbs/slack-desc
@@ -8,7 +8,7 @@
|-----handy-ruler------------------------------------------------------|
qbs: qbs (Qt Build Suite)
qbs:
-qbs: Qt Build Suite (Qbs) is a tool that helps simplify the build process
+qbs: Qt Build Suite (Qbs) is a tool that helps simplify the build process
qbs: for developing projects across multiple platforms. Qbs can be used for
qbs: any software project, whether it is written in Qt or not.
qbs: